org.red5.compatibility.flex.messaging.messages

## Class Constants

- java.lang.Object
- - org.red5.compatibility.flex.messaging.messages.Constants

    public class Constants
    extends Object

Constants for the flex compatibility messages.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Field Summary

Fields
`static int` `CLIENT_PING_OPERATION` Operation id of ping commands.
`static int` `CLIENT_SYNC_OPERATION`
`static int` `CLUSTER_REQUEST_OPERATION`
`static int` `DATA_OPERATION_SET` Set all attributes from a data message.
`static int` `DATA_OPERATION_UPDATE` Update destination based on nested DataMessage packet.
`static int` `DATA_OPERATION_UPDATE_ATTRIBUTES` Update given attributes from a data message.
`static int` `LOGIN_OPERATION` Operation id of authentication commands.
`static int` `LOGOUT_OPERATION`
`static int` `MULTI_SUBSCRIBE_OPERATION`
`static int` `POLL_OPERATION` Operation id of poll command.
`static int` `SUBSCRIBE_OPERATION` Operation id of register command.
`static int` `SUBSCRIPTION_INVALIDATE_OPERATION`
`static int` `UNKNOWN_OPERATION`
`static int` `UNSUBSCRIBE_OPERATION`

### Constructor Summary

Constructors
Constructor and Description
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUBSCRIBE_OPERATION

    public static final int SUBSCRIBE_OPERATION

Operation id of register command.

See Also:
  Constant Field Values

#### UNSUBSCRIBE_OPERATION

    public static final int UNSUBSCRIBE_OPERATION

See Also:
  Constant Field Values

#### POLL_OPERATION

    public static final int POLL_OPERATION

Operation id of poll command.

See Also:
  Constant Field Values

#### DATA_OPERATION_UPDATE_ATTRIBUTES

    public static final int DATA_OPERATION_UPDATE_ATTRIBUTES

Update given attributes from a data message.

See Also:
  Constant Field Values

#### CLIENT_SYNC_OPERATION

    public static final int CLIENT_SYNC_OPERATION

See Also:
  Constant Field Values

#### CLIENT_PING_OPERATION

    public static final int CLIENT_PING_OPERATION

Operation id of ping commands.

See Also:
  Constant Field Values

#### DATA_OPERATION_UPDATE

    public static final int DATA_OPERATION_UPDATE

Update destination based on nested DataMessage packet.

See Also:
  Constant Field Values

#### CLUSTER_REQUEST_OPERATION

    public static final int CLUSTER_REQUEST_OPERATION

See Also:
  Constant Field Values

#### LOGIN_OPERATION

    public static final int LOGIN_OPERATION

Operation id of authentication commands.

See Also:
  Constant Field Values

#### LOGOUT_OPERATION

    public static final int LOGOUT_OPERATION

See Also:
  Constant Field Values

#### DATA_OPERATION_SET

    public static final int DATA_OPERATION_SET

Set all attributes from a data message.

See Also:
  Constant Field Values

#### SUBSCRIPTION_INVALIDATE_OPERATION

    public static final int SUBSCRIPTION_INVALIDATE_OPERATION

See Also:
  Constant Field Values

#### MULTI_SUBSCRIBE_OPERATION

    public static final int MULTI_SUBSCRIBE_OPERATION

See Also:
  Constant Field Values

#### UNKNOWN_OPERATION

    public static final int UNKNOWN_OPERATION

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()